# Action-ready Container Images

These images is cached on action runner machines and is able to run most of the actions.

| Name | OS and Distro | Description | Note |
| - | - | - | - |
| `fedora:41` | Fedora 41 | [Description](./fedora-41/README.md) | |
| `fedora-minimal:41` | Fedora 41 | [Description](./fedora-41-minimal/README.md) | |
| `fedora:40` | Fedora 40 | [Description](./fedora-40/README.md) | Deprecated, will be removed after June 2025 |
| `fedora-minimal:40` | Fedora 40 | [Description](./fedora-40-minimal/README.md) | Deprecated, will be removed after June 2025 |

## FAQ

### Can I see those images as alternatives of GitHub's [actions/runner-images](https://github.com/actions/runner-images)?

Yes, mostly. We are working on catching up the software list on their repo, and many tools are already included in our images, but be attention that we took a different approach to install softwares (at least for now).

### Can all GitHub Actions or Forgejo Actions can be run on those images?

Well, not quite. Those images are "action-ready" because bunch of tools used by actions, like NodeJS, are preinstalled in the image. It depends on the action to support the tools and the distro.

### What's the difference between the `-minimal` version and the without?

The minimal versions are configured with only basic toolset to run the actions. The images without `-minimal` include more tools to be used directly for end users.

The minimal versions is only recommended for building custom images. They are smaller and configured the container environment. In fact, the regular versions are composed from the minimal versions.
